<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
<title>Pessoa</title>
</h:head>
<body>
	<f:view>
		<!-- Criando botões de comando e navegação -->
		<h:form>
			<h:commandButton action="createPessoa" value="Criar nova pessoa" />
			<h:commandButton action="findOrDeletePessoa" value="Atualizar ou remover" />
			<h:commandButton action="findPessoa" value="Buscar novamente" />
			<h:commandButton action="pessoa" value="Voltar" />
		</h:form>
		
	
		<!-- Fazendo aparecer todas as pessoas -->
		<p:dataTable var="pessoa" value="#{pessoaBean.listaPessoasEncontradas}">
			<p:column headerText="CPF">
				<h:outputText value="#{pessoa.cpf}" />
			</p:column>

			<p:column headerText="Nome">
				<h:outputText value="#{pessoa.nome}" />
			</p:column>

		</p:dataTable>


	</f:view>
</body>
</html>